/*
    Zelda Battle Of Hyrule
    Copyright (C) 2009  Vincent Bourgogne
    
    Please send bugreports with examples or suggestions to www.zeldaroth.fr

*/

#ifndef __MESSAGE_H__
#define __MESSAGE_H__

#include "Listable.h"
#include "Common.h"

class Jeu;

class Message : public Listable {
    public :
        Message(Jeu* jeu, int letype, int numJ1, int numJ2);
        ~Message();
        void draw(SDL_Surface* gpScreen, int cptMessage);
        int getX();
        int getY();
        int getVie();
        int getType();
        string getValueType();
        Message* getSuivant();
        string listServeur(int numJ, int TroisMsg, int cptMessage);
        
    private :
        Jeu* gpJeu;
        int vie;
        int x;
        int y;
        int type;
        int numeroJ1;
        int numeroJ2;
        int * difMsg; //permet de connaitre la diffusion du message         
        SDL_Surface* s_text;
        //Uint32 lastAnimTime;
        //SDL_Surface* image;
};

#endif  // Message.h
