/*
    Zelda Battle Of Hyrule
    Copyright (C) 2009  Vincent Bourgogne
    
    Origine des sources :
    Zelda Return of the Hylian
    Copyright (C) 2005-2008  Vincent Jouillat

    Please send bugreports with examples or suggestions to www.zeldaroth.fr

*/

#ifndef __LISTABLE_H__
#define __LISTABLE_H__

class Listable {
    public :
        Listable();
        ~Listable();
        int size();
        void ajout(Listable* l); // ajout d'un lment seul
        void enleve(Listable* l); //enlve et libre l'lment
        bool operator==(const Listable* l); // compare les id
        int getListId();
    protected :
        Listable* suivant;
    private :
        int id;             // identifiant de l'objet, toujours > au prcdent
};

#endif  // Listable.h
